## ircd-irc2 2.11.2p2+dfsg

=== doc/Makefile ===
#************************************************************************
#*   IRC - Internet Relay Chat, Makefile
#*   Copyright (C) 1990, Jarkko Oikarinen
#*
#*   This program is free software; you can redistribute it and/or modify
#*   it under the terms of the GNU General Public License as published by
#*   the Free Software Foundation; either version 1, or (at your option)
#*   any later version.
#*
#*   This program is distributed in the hope that it will be useful,
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*   GNU General Public License for more details.
#*
#*   You should have received a copy of the GNU General Public License
#*   along with this program; if not, write to the Free Software
#*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#*
#*   $Id: Makefile,v 1.3 1997/08/08 14:44:13 kalt Exp $
#*
#*/

MANDIR=/usr/local/man

all:

sgml: service doc

doc: INSTALL.sgml
	sgml2txt INSTALL.sgml
	sgml2info INSTALL.sgml

service: SERVICE.sgml
	sgml2txt SERVICE.sgml

install: all
	-${INSTALL} -c -m 644 ircd.8 ${MANDIR}/man8
	-${INSTALL} -c -m 644 irc.1 ${MANDIR}/man1

=== debian/changelog ===
ircd-irc2 (2.11.2p2+dfsg-2) unstable; urgency=low

  * Remove auto generated dpkg-source patch.  (Closes: #643167)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 Sep 2011 23:04:40 +0200

ircd-irc2 (2.11.2p2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Apply upstream patch to avoid segfault caused by opers.
  * Properly clean source
  * Update debian/maint/config.h for the upstream changes.
  * Add ${misc:Depends} to the Depends line.
  * Don't add the stoplink in runlevel 1, we should get killed.
    Also tell dh_installinit not to create any stop link.
  * Install doc/INSTALL.info as an info page.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 18 Apr 2010 20:23:00 +0200

ircd-irc2 (2.11.2p1+dfsg-2) unstable; urgency=low

  * Disable ipv6 support again (Closes: #547614)
    It doesn't work without ipv6 support in the kernel.
  * Don't redirect erorrs to /dev/null in the init script.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Sep 2009 19:41:55 +0200

ircd-irc2 (2.11.2p1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Enable IPv6 support.
  * Add watch file.
  * Change debhelper compat level from 4 to 7:
    - change dh_clean -k to dh_prep
  * Update Standards-Version from 3.6.1 to 3.8.3:
    - init script returns success when ircd already running, pass --oknodo
      to start-stop-daemon
    - Create /var/run/ircd in the init script
    - Convert debian/copyright from latin1 to utf8
  * Don't fix permissions of /var/run/ircd or remove files in it from
    the postinst script.  Also don't ship that empty dir.
  * Don't remove files in and the dirs /etc/ircd on purge,
    dpkg should remove those by itself.
  * Fix copyright file to include the copyright notices and all the
    license information.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 18 Sep 2009 21:23:33 +0200

ircd-irc2 (2.11.1p1+dfsg-2) unstable; urgency=low

  * k*BSD needs _GNU_SOURCE too.  Always use it when we have 
    __GLIBC__  (Closes: #414992)
  * Fix the default ircd.conf to point to the right location of the
    documentation.  (Closes: #373662)
  * Add LSB formatted dependency info in init.d script (Closes: #469605)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 05 Apr 2008 23:26:48 +0200

ircd-irc2 (2.11.1p1+dfsg-1) unstable; urgency=low

  * Make new orig tarball with the RFCs removed because
    they're non-free (Closes: #365194)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat,  6 May 2006 19:32:05 +0200

ircd-irc2 (2.11.1p1-1) unstable; urgency=low

  * New maintainer, adopting package.
  * Acknowledge my own NMU (Closes: #318738)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 28 Apr 2006 20:26:45 +0200

ircd-irc2 (2.11.1p1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - Fix configure script detection of pow in -lm (Closes: #318738)
    - Apply upstream changes of config.h.dist to debian/maint/config.h
  * Change default ircd.conf to allow connections.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat,  4 Mar 2006 16:38:25 +0100

ircd-irc2 (2.11.0-1) unstable; urgency=low

  * New upstream version -- introducing irc2.11 along with these changes:
    - define CLONE_CHECK, no longer define SIXBONE_HACK and SLOW_ACCEPT
    - removed the ircd-irc2-client package as client is gone from source
    - multiple very small changes to adapt the package to new conditions

 -- Martin Loschwitz <madkiss@debian.org>  Sat,  01 Jan 2005 10:19:00 +0100

ircd-irc2 (2.10.3p7-1) unstable; urgency=low

  * New upstream version (Closes: #256264)
  * Thanks goes to Kurt Roeckx for preparing this release along with these
    changes:

     - debian/copyright: Corrected link to Download-Site
     - debian/docs: Install INSTALL.* files
     - debian/rules: Don't install ircd.m4 (it's disabled anyway)
     - debian/maint/ircd.conf: Point to INSTALL.* files as help
     - debian/maint/ircd.conf: Changed M-Line (work on more systems)
     - debian/maint/config.h: Adapted to the latest changes:
           * Enable usage of Unix domain sockets
           * Enable usage of compressed server links

  * Updated config.guess/config.sub

 -- Martin Loschwitz <madkiss@debian.org>  Thu,  29 Jul 2004 17:22:00 +0200
 

ircd-irc2 (2.10.3p5-2) unstable; urgency=high

  * Another upload with higher urgency (move faster torwards testing)

 -- Martin Loschwitz <madkiss@debian.org>  Wed,  15 Oct 2003 20:20:00 +0200

ircd-irc2 (2.10.3p5-1) unstable; urgency=low

  * New upstream version to fix security issues (Closes: #215844)
  * debian/control: Changed Maintainer's E-Mail address
  * debian/control: Bumped Standards-Version
  * debian/compat: Created, Updated to v4

 -- Martin Loschwitz <madkiss@debian.org>  Wed,  15 Oct 2003 20:06:00 +0200

ircd-irc2 (2.10.3p3-1) unstable; urgency=low

  * Initial Release. (Closes: #141950)
  * updated config.guess/config.sub

 -- Martin Loschwitz <madkiss@madkiss.org>  Wed,  04 May 2002 11:51:00 +0200

=== debian/control ===
Source: ircd-irc2
Section: net
Priority: optional
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Build-Depends: debhelper (>> 7.0.0), zlib1g-dev, autotools-dev
Standards-Version: 3.8.3

Package: ircd-irc2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: dancer-ircd, ircd, ircd-dalnet
Description: The original IRC server daemon
 This is the original Internet Relay Chat (IRC) daemon, allowing interactive
 character based communication between people connected to this server
 with IRC clients.
 .
 This version of ircd is mostly used on the IRCNet irc network.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

CONFIG_GUESS=`support/config.guess`

configure: configure-stamp
configure-stamp:
	
	dh_testdir
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub support/config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess support/config.guess
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --bindir=/usr/bin \
	--datadir=/usr/share --sbindir=/usr/sbin --localstatedir=/var --sysconfdir=/etc/ircd \
	--with-logdir=/var/log/ircd --with-zlib

	touch configure-stamp
	
build: configure-stamp build-stamp
build-stamp: 

	cp debian/maint/config.h $(CONFIG_GUESS)

	cat $(CONFIG_GUESS)/Makefile | sed 's/\/var\/run/&\/ircd/g' >> $(CONFIG_GUESS)/Makefile.new
	mv $(CONFIG_GUESS)/Makefile.new $(CONFIG_GUESS)/Makefile

	cd $(CONFIG_GUESS) && $(MAKE) all
	touch build-stamp

clean:
	
	-rm -rf $(CONFIG_GUESS)
	-rm support/config.sub
	-rm support/config.guess

	-rm -rf configure-stamp
	-rm -rf build-stamp
	-rm debian/maint/ircd-irc2.info
	
	dh_clean
	
install:
	
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	# ircd-package
	cp $(CONFIG_GUESS)/chkconf debian/ircd-irc2/usr/sbin
	cp $(CONFIG_GUESS)/iauth debian/ircd-irc2/usr/sbin
	cp $(CONFIG_GUESS)/ircd debian/ircd-irc2/usr/sbin
	cp $(CONFIG_GUESS)/ircd-mkpasswd debian/ircd-irc2/usr/sbin 
	cp $(CONFIG_GUESS)/ircdwatch debian/ircd-irc2/usr/sbin
	
	cp debian/maint/iauth.conf debian/ircd-irc2/etc/ircd
	
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install

	dh_testdir
	dh_testroot

	# copy overrides file
	install -D `pwd`/debian/lintian.overrides `pwd`/debian/ircd-irc2/usr/share/lintian/overrides/ircd-irc2
	chmod -x `pwd`/debian/ircd-irc2/usr/share/lintian/overrides/ircd-irc2	

	# install config...
	cp debian/maint/ircd.conf debian/ircd-irc2/etc/ircd/ircd.conf
	
	# ... and motd-file.
	cp debian/maint/ircd.motd debian/ircd-irc2/etc/ircd/ircd.motd
	
	dh_installdocs -A

	cp doc/INSTALL.info debian/maint/ircd-irc2.info
	dh_installinfo -A
	
	dh_installman -pircd-irc2 doc/iauth.8 doc/iauth.conf.5 \
	                          doc/ircd.8 \
				  debian/maint/chkconf.8 \
				  debian/maint/ircd-mkpasswd.8 \
    		                  debian/maint/ircdwatch.8
	
	dh_installchangelogs -a 

	dh_installinit --update-rcd-params="start 20 2 3 4 5 ."

	dh_strip
	dh_compress
	dh_fixperms
	
	# fix permissions of var/log/ircd
	chown root:irc debian/ircd-irc2/var/log/ircd
	chmod -R ug+rw debian/ircd-irc2/var/log/ircd

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
	http://ftp.irc.org/ftp/irc/server/irc(.*)\.tgz debian uupdate

## ircd-irc2 2.11.2p3~dfsg

=== contrib/mkpasswd/Makefile ===
# Makefile for the mkpasswd
# CVS $Id: Makefile,v 1.2 2001/10/20 17:57:23 q Exp $

CC=gcc
CFLAGS	= -O2 -Wall
LDFLAGS = -lcrypt

OBJS =	mkpasswd.o
SRCS =	mkpasswd.c

.c.o:
	$(CC) $(CFLAGS) -c $<

all: mkpasswd

clean:
	/bin/rm -rf *.o core *.core

mkpasswd: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)

# Catch any changes in compilation options at the top of this file
$(OBJS): Makefile

=== debian/changelog ===
ircd-irc2 (2.11.2p3~dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary dh-systemd build-dep, because debhelper (>= 9.20160709)
    already provides this (Closes: #958604).
  * ircd-irc2.lintian-overrides:
    "package-contains-upstream-install-documentation" no longer exists, so
    use its replacement "package-contains-upstream-installation-documentation".

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 09 Dec 2020 21:13:51 -0500

ircd-irc2 (2.11.2p3~dfsg-5) unstable; urgency=medium

  * Update defaults to production use case
  * Fix init script to background (Closes: #864591)
    Add systemd service additionally to sysvinit and migrate where systemd is
    available.
    Restart service after update
  * Adding reproducible build patch (Closes: #834956)
  * Tighten security by default on /etc/ircd
  * Add default /etc/ircd/ircd.m4

 -- Kilian Krause <kilian@debian.org>  Wed, 26 Jul 2017 10:49:18 +0200

ircd-irc2 (2.11.2p3~dfsg-4) unstable; urgency=medium

  * Don't print ircd.conf to console in postinst
  * Ensure grep in postinst is only run if there is a ircd.conf
    (Closes: #760369)
  * Update exmaple config with % instead of : to meet new IPv6 config
    delimiter (Closes: #760371)
  * debian/patches/01_manpages.patch: Fix manpages lintian warnings
  * synthesize dircategory and direntry in ircd-irc2.info to please lintian

 -- Kilian Krause <kilian@debian.org>  Fri, 05 Sep 2014 09:29:05 +0200

ircd-irc2 (2.11.2p3~dfsg-3) unstable; urgency=medium

  * ircd.conf delimiter is % globally with IPv6. Convert all lines to %. 

 -- Kilian Krause <kilian@debian.org>  Wed, 03 Sep 2014 11:50:27 +0200

ircd-irc2 (2.11.2p3~dfsg-2) unstable; urgency=medium

  * Pass CPPFLAGS as CFLAGS to make sure build system will not ignore them

 -- Kilian Krause <kilian@debian.org>  Tue, 02 Sep 2014 21:12:49 +0200

ircd-irc2 (2.11.2p3~dfsg-1) unstable; urgency=low

  * New upstream release: 2.11.2p3
  * Add myself to Uploaders
  * Update debian/watch: ~dfsg instead of +dfsg, use svn-upgrade
  * debian/rules: add get-orig-source target to do the automatic repacking
  * Ignore missing debian/maint/ircd-irc2.info upon clean
  * Remove irc2.11.2p2-s_conf.c.diff - incorporated upstream
  * Check upstream gpg signature in debian/watch
  * Add Homepage field
  * Shut up lintian:
   - set -e on its own line instead of shebang
   - source LSB function in init script
   - description-synopsis-starts-with-article (set override)
  * debian/copyright talking about GPL as symlink corrected to GPL-1
  * Enable IPv6 support
  * Bump compat level to 9
  * Bump b-d for debhelper to 9 too
  * Add dpkg-buildflags to configure call for hardening
  * Add dpkg-buildflags to build target too
  * Add Vcs-* Entries to debian/control
  * Add status target to init script
  * Add description to init script to shut up lintian
  * Fix permissions of /var/log/ircd/ - set owner to user irc
  * Add more verbose whatis entry in ircd-mkpasswd.8 to shut up lintian
  * Update P/M lines in default config to % instead of : since we're IPv6 now.
    Add postinst script to auto-adjust existing configs (Closes: #547613)
  * Bump Standards-Version to 3.9.5 - no changes needed.
  * debian/rules: Update to dh-style

 -- Kilian Krause <kilian@debian.org>  Mon, 01 Sep 2014 22:23:39 +0200

=== debian/control ===
Source: ircd-irc2
Section: net
Priority: optional
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Uploaders: Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 9.20160709~), zlib1g-dev, autotools-dev
Standards-Version: 3.9.5
Homepage: http://www.irc.org/
Vcs-Svn: https://anonscm.debian.org/collab-maint/deb-maint/ircd-irc2/
Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/ircd-irc2/

Package: ircd-irc2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, m4, lsb-base (>= 3.0-6)
Conflicts: dancer-ircd, ircd, ircd-dalnet
Description: The original IRC server daemon
 This is the original Internet Relay Chat (IRC) daemon, allowing interactive
 character based communication between people connected to this server
 with IRC clients.
 .
 This version of ircd is mostly used on the IRCNet irc network.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# We copy around a number of things in case we're linux:
BUILD_OS=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)

export PROC := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	BUILDFLAGS += OPTIMIZE=-O0
else
	BUILDFLAGS += OPTIMIZE=-O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEBVERSION := $(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')

FILENAME := ircd-irc2_$(UPVERSION)~dfsg.orig.tar.gz
UPFILENAME := ircd-irc2_$(UPVERSION).orig.tar.gz
URL := http://ftp.irc.org/ftp/irc/server/irc$(UPVERSION).tgz

%:
	dh "$@" --with autotools_dev --with systemd

override_dh_auto_configure:
	mkdir builddir
	cp debian/maint/config.h builddir
	cp support/configure builddir
	cd builddir;./configure \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--bindir=/usr/bin \
		--datadir=/usr/share \
		--infodir=\$${prefix}/share/info \
		--localstatedir=/var \
		--with-rundir=/var/run/ircd \
		--mandir=\$${prefix}/share/man \
		--prefix=/usr \
		--sbindir=/usr/sbin \
		--sysconfdir=/etc/ircd \
		--with-logdir=/var/log/ircd \
		--with-zlib \
		--enable-ipv6

override_dh_auto_build:
	$(MAKE) -C builddir all

override_dh_clean:
	-rm -rf builddir
	-rm -f $(shell support/config.guess)
	dh_clean
	
override_dh_install:
	ln -sf builddir $(shell support/config.guess)
	cd builddir;../ircd/buildm4 ircd.m4
	dh_install
	# ircd-package
	cp builddir/chkconf debian/ircd-irc2/usr/sbin
	cp builddir/iauth debian/ircd-irc2/usr/sbin
	cp builddir/ircd debian/ircd-irc2/usr/sbin
	cp builddir/ircd-mkpasswd debian/ircd-irc2/usr/sbin 
	cp builddir/ircdwatch debian/ircd-irc2/usr/sbin

override_dh_installexamples:
	dh_installexamples
	# convert example config to % since we're IPv6 now
	sed -i -e '/^[^#]:/s,:,\%,g' debian/ircd-irc2/usr/share/doc/ircd-irc2/ircd.conf.example

override_dh_installinfo:
	dh_installinfo
	# synthesize dircategory and direntry
	mkdir -p debian/ircd-irc2/usr/share/info/
	cat debian/ircd-irc2.info-dir-entry doc/INSTALL.info >debian/ircd-irc2/usr/share/info/ircd-irc2.info

override_dh_fixperms:
	dh_fixperms
	# fix permissions of var/log/ircd
	chown irc:irc debian/ircd-irc2/var/log/ircd
	chmod -R 0755 debian/ircd-irc2/var/log/ircd

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"
get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@#this is for stable versions
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo 'Repacking as DFSG-free (RFCs)...'
	@@mkdir -p ../tarballs/ircd-irc2-$(UPVERSION).tmp/
	@@cd ../tarballs/ircd-irc2-$(UPVERSION).tmp ; tar xfz ../$(UPFILENAME)
	@@find ../tarballs/ircd-irc2-$(UPVERSION).tmp/ -iname 'rfc*' -delete
	@@echo Writing archive ../tarballs/$(FILENAME) ...
	@@cd ../tarballs/ircd-irc2-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/ircd-irc2-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg$//,pgpsigurlmangle=s/$/.asc/ \
	http://ftp.irc.org/ftp/irc/server/irc(.*)\.tgz debian svn-upgrade
